<div class="dropdown" {{did-insert this.setupOptions}} ...attributes>
  <button class="btn-map-download btn {{if @isButton "" "btn-link"}}" disabled={{this.isDisabled}} {{on "click" this.showOptions}} type="button" id="{{this.elementId}}-downloadMenuButton" data-toggle="download" aria-haspopup="true" aria-expanded="false">
    <FaIcon @icon="download" />
    {{#if @isButton}}
      {{capitalize (t "download")}}
    {{/if}}
  </button>

  <div class="dropdown-menu {{if this.isOpened "d-block"}}" aria-labelledby="{{this.elementId}}-downloadMenuButton">
    <a href="{{this.apiUrl}}/features?&map={{@map.id}}&format=csv" class="dropdown-item dropdown-item-download-csv text-start" target="_blank" rel="noopener noreferrer">
      <FaIcon @icon="file-csv" /> {{t "CSV"}}
    </a>

    <a href="{{this.apiUrl}}/features?&map={{@map.id}}&format=geojson" class="dropdown-item dropdown-item-download-json text-start" target="_blank" rel="noopener noreferrer">
      <FaIcon @icon="file" /> {{t "GeoJson"}}
    </a>

    {{#if @map.canEdit}}
    <a href="{{this.apiUrl}}/maps/{{@map.id}}/geopackage" class="dropdown-item dropdown-item-download-json text-start" target="_blank" rel="noopener noreferrer">
      <FaIcon @icon="file" /> {{t "GeoPackage"}}
    </a>
    {{/if}}
  </div>
</div>